package rocketBugsRender;
/*
	AxisSet ... 
*/

/*  <RocketBugsRender - for rendering and graphing the output of Zoom (and other programs)>
    Copyright (C) <2007>  <Jonathan B. Alberts>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.*;
import javax.swing.*;
import java.text.*;

public class AxisSet {
	Axis [] axes = new Axis[100];
	int axCt;
	
	public AxisSet () {

	}
	
	public void appendAxes (Axis [] addMe) {
		int addCt = addMe.length;
		if (axCt + addCt > axes.length) { growAxesArray(); }
		for (int i=0;i<addCt;i++) {
			axes[axCt+i] = addMe[i];
		}
		axCt+=addCt;
	}
	
	public void growAxesArray() {
		Axis [] temp = axes;
		axes = new Axis [temp.length+50];
		for (int i=0;i<axCt;i++) {
			axes[i] = temp[i];
		}
	}
	
	public void clear() {
		axCt = 0;
	}
	
}