package rocketBugsRender;
/* 
	Pix2D ... very lightweight object 2D pixel
*/

/*  <RocketBugsRender - for rendering and graphing the output of Zoom (and other programs)>
    Copyright (C) <2007>  <Jonathan B. Alberts>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.*;

public class Pix2D {
	int x;
	int y;
	
	public Pix2D (int x, int y) {
		this.x = x;
		this.y = y;
	}
	
	public Pix2D (Pix2D copyPix) {
		this.x = copyPix.x;
		this.y = copyPix.y;
	}
	
	public void copyPix (Pix2D copyPix) {
		this.x = copyPix.x;
		this.y = copyPix.y;
	}
	
	public static void drawLine(Graphics g, Pix2D pix1, Pix2D pix2) {
		g.drawLine(pix1.x,pix1.y,pix2.x,pix2.y);
	}
	
	public static void drawLine(Graphics g, Pix2D pix1, Pix2D pix2, int [] offs) {
		g.drawLine(pix1.x+offs[0], pix1.y+offs[2], pix2.x+offs[0], pix2.y+offs[2]);
	}
}
